Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.protocol
Interface HttpResponseInterceptorList

All Known Implementing Classes:
  BasicHttpProcessor

Deprecated. (4.3)

    @Deprecated
    public interface HttpResponseInterceptorList

Provides access to an ordered list of response interceptors. Lists are expected to be built upfront and used read-only afterwards for `processing`.

Since:
  4.0

Method Summary
`void` | `addResponseInterceptor(HttpResponseInterceptor interceptor)` Deprecated. Appends a response interceptor to this list.
`void` | `addResponseInterceptor(HttpResponseInterceptor interceptor, int index)` Deprecated. Inserts a response interceptor at the specified index.
`void` | `clearResponseInterceptors()` Deprecated. Removes all response interceptors from this list.
`HttpResponseInterceptor` | `getResponseInterceptor(int index)` Deprecated. Obtains a response interceptor from this list.
`int` | `getResponseInterceptorCount()` Deprecated. Obtains the current size of this list.
`void` | `removeResponseInterceptorByClass(Class<? extends HttpResponseInterceptor> clazz)` Deprecated. Removes all response interceptor of the specified class
`void` | `setInterceptors(List<?> list)` Deprecated. Sets the response interceptors in this list.

Method Detail

### addResponseInterceptor

    void addResponseInterceptor(HttpResponseInterceptor interceptor)

  Deprecated.
  Appends a response interceptor to this list.

  Parameters:
    `interceptor` - the response interceptor to add

### addResponseInterceptor

    void addResponseInterceptor(HttpResponseInterceptor interceptor,
                                int index)

  Deprecated.
  Inserts a response interceptor at the specified index.

  Parameters:
    `interceptor` - the response interceptor to add
    `index` - the index to insert the interceptor at

### getResponseInterceptorCount

    int getResponseInterceptorCount()

  Deprecated.
  Obtains the current size of this list.

  Returns:
    the number of response interceptors in this list

### getResponseInterceptor

    HttpResponseInterceptor getResponseInterceptor(int index)

  Deprecated.
  Obtains a response interceptor from this list.

  Parameters:
    `index` - the index of the interceptor to obtain, 0 for first
  Returns:
    the interceptor at the given index, or `null` if the index is out of range

### clearResponseInterceptors

    void clearResponseInterceptors()

  Deprecated.
  Removes all response interceptors from this list.

### removeResponseInterceptorByClass

    void removeResponseInterceptorByClass(Class<? extends HttpResponseInterceptor> clazz)

  Deprecated.
  Removes all response interceptor of the specified class

  Parameters:
    `clazz` - the class of the instances to be removed.

### setInterceptors

    void setInterceptors(List<?> list)

  Deprecated.
  Sets the response interceptors in this list. This list will be cleared and re-initialized to contain all response interceptors from the argument list. If the argument list includes elements that are not response interceptors, the behavior is implementation dependent.

  Parameters:
    `list` - the list of response interceptors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.